import React from "react";
import { Link } from "react-router-dom";

import close from "assets/icons/closeProjectPersons.svg";

import "./modalTrackerRegistration.scss";

export const ModalTrackerRegistration = ({ setModalReset, email }) => {
  return (
    <div className="modal-confirm-tracker">
      <h3 className="modal-confirm-tracker__title">
        Спасибо за регистрацию. Теперь можете войти в кабинет
      </h3>
      <p className="modal-confirm-tracker__info">
        Мы отправили ссылку
        <br />
        для активации вашего аккаунта на почту
        <br /> <span>{email}</span>
      </p>
      <Link
        to={"/registration-setting"}
        onClick={() => setModalReset(false)}
        className="modal-confirm-tracker__btn"
      >
        Понятно
      </Link>
      <img
        onClick={() => setModalReset(false)}
        src={close}
        className="modal-reset__close"
        alt="close"
      />
    </div>
  );
};
